	.section .note.GNU-stack
	.text
	.globl	func
	.type	func, @function
func:
	push	%rbp
	mov	%rsp, %rbp
	push	%rbx
	push	%rsi
	push	%rdi
	sub	$0x10, %rsp
	mov	%rdi, %rax
	mov	%rax, 0x0(%rsp)
	mov	%rsi, %rax
	mov	%rax, 0x8(%rsp)
	mov	%rsp, %rax
	mov	0x0(%rax), %rax
	mov	%rax, %rbx
	mov	$.LC0, %rax
	mov	%rax, %rdi
	mov	%rbx, %rax
	mov	%rax, %rsi
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rax, %rbx
	mov	%rsp, %rax
	mov	0x8(%rax), %rax
	mov	%rax, %rbx
	mov	$.LC1, %rax
	mov	%rax, %rdi
	mov	%rbx, %rax
	mov	%rax, %rsi
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rax, %rbx
	mov	$0x0, %rax
	mov	-0x8(%rbp), %rbx
	mov	-0x10(%rbp), %rsi
	mov	-0x18(%rbp), %rdi
	leave
	ret
	.text
	.globl	main
	.type	main, @function
main:
	push	%rbp
	mov	%rsp, %rbp
	push	%rbx
	push	%rsi
	push	%rdi
	sub	$0x0, %rsp
	mov	$0x1234567, %rax
	mov	%rax, %rdi
	mov	$0x89abcdef, %rax
	mov	%rax, %rsi
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	func
	mov	%rbx, %rsp
	pop	%rbx
	mov	$0x0, %rax
	mov	-0x8(%rbp), %rbx
	mov	-0x10(%rbp), %rsi
	mov	-0x18(%rbp), %rdi
	leave
	ret

	.data
.LC1:	.string	"%lx\n"
.LC0:	.string	"%lx\n"
